## fangfrisch 1.6.1

=== Makefile ===
# vim:ts=4:noet

package = contrib/package.sh
subdirs = docs

define usage
The following make targets are available:

  clean       Cleanup build directories.
  dist        Build distribution files.
  help        Show this text.
  uploadprod  Upload distribution files to PyPI production server.
  uploadtest  Upload distribution files to PyPI test server.

endef

.PHONY:	subdirs $(subdirs) clean dist help uploadprod uploadtest

subdirs: $(subdirs)

$(subdirs):
	make -C $@

help:
	$(info $(usage))

clean:
	find tmp -type f -delete
	$(package) clean

dist:
	$(package) dist

uploadtest:
	@echo "$(package) upload testpypi"

uploadprod:
	@echo "$(package) upload pypi"

=== requirements.txt ===
requests >= 2.22.0
SQLAlchemy >= 1.4.0

=== debian/changelog ===
fangfrisch (1.6.1-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <tar@debian.org>  Fri, 28 Jul 2023 11:27:12 +0200

fangfrisch (1.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1037250)

 -- Gürkan Myczko <tar@debian.org>  Fri, 09 Jun 2023 12:31:46 +0200

=== debian/control ===
Source: fangfrisch
Section: utils
Priority: optional
Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
Standards-Version: 4.6.2
Homepage: https://github.com/rseichter/fangfrisch
Vcs-Browser: https://salsa.debian.org/clamav-team/fangfrisch
Vcs-Git: https://salsa.debian.org/clamav-team/fangfrisch.git

Package: fangfrisch
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Update and verify unofficial Clam Anti-Virus signatures
 This is a sibling of the Clam Anti-Virus freshclam utility. It allows
 downloading virus definition files that are not official ClamAV canon,
 e.g. from Sanesecurity, URLhaus and others. Fangfrisch was designed with
 security in mind, to be run by an unprivileged user only.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fangfrisch

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	@echo no

=== debian/watch ===
# Example watch control file for uscan.
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format.

# Compulsory line, this is a version 4 file.
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig.
#opts="pgpsigurlmangle=s%$%.sig%"

# HTTP site (basic).
#http://example.com/downloads.html \
#    files/fangfrisch-([\d\.]+)\.tar\.gz

# Uncomment to examine an FTP server.
#ftp://ftp.example.com/pub/fangfrisch-(.*)\.tar\.gz

# SourceForge hosted projects.
#http://sf.net/fangfrisch/ fangfrisch-(.*)\.tar\.gz

# GitHub hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://github.com/<user>/<project>/tags \
#    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

# GitLab hosted projects.
#opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
#    https://gitlab.com/<user>/<project>/-/tags \
#    archive/v?@ANY_VERSION@/<project>-v?\d\S*@ARCHIVE_EXT@

# PyPI.
#https://pypi.debian.net/fangfrisch/fangfrisch-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

# Direct Git.
#opts="mode=git" http://git.example.com/fangfrisch.git \
#    refs/tags/v([\d\.]+)

## fangfrisch 1.8.1

=== Makefile ===
# vim:ts=4:noet

package = contrib/package.sh
unittest = contrib/unittest.sh
subdirs = docs

define usage

The following make targets are available:

  clean  Cleanup build directories.
  dist   Build distribution files.
  help   Show this text.
  push   Push to all configured Git remotes.
  pypi   Upload distribution files to PyPI.
  schk   Shell script check.
  stest  Run sandboxed Python tests (disables network tests).
  test   Run all Python tests and generate coverage report.

endef

.PHONY:	subdirs $(subdirs) clean dist help pypi stest test

subdirs: $(subdirs)

$(subdirs):
	make -C $@

help:
	$(info $(usage))
	@exit 0

clean:
	find tmp -type f -delete
	$(package) clean

dist:
	$(package) dist

pypi:
	@echo "$(package) upload pypi"

stest:
	env NETWORK_TESTS=0 $(unittest)

test:
	env NETWORK_TESTS=1 $(unittest) coverage

push:
	for _r in $(shell git remote); do git push $$_r; done; unset _r

schk:
	shellcheck -x contrib/*.sh

=== docs/Makefile ===
# vim:ts=4:noet

asciidoctor_opts = -o $@ -v
ff = ../local/fangfrisch
cf_combined = combined.conf
cf_example = example.conf
cf_internal = internal.conf
out_html = index.html
out_pdf = fangfrisch.pdf
sources = fangfrisch.adoc $(cf_combined) $(cf_example) $(cf_internal) usage.txt

.PHONY:	all clean force

all: $(out_html) $(out_pdf)

$(cf_combined): $(cf_example)
	$(ff) -c $< dumpconf > $@

$(cf_internal):
	$(ff) -c /dev/null dumpconf > $@

$(out_html): $(sources)
	asciidoctor -a toc=right $(asciidoctor_opts) $<

$(out_pdf): $(sources)
	asciidoctor-pdf -a toc=preamble $(asciidoctor_opts) $<

clean:
	/bin/rm $(out_html) $(out_pdf) || true

force:
	rm -f $(cf_combined) $(cf_internal)
	make

=== debian/changelog ===
fangfrisch (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Remove override_dh_auto_test, now that tests can run without network
  * Add python3-requests and python3-sqlalchemy to build-depends to support
    tests
  * Add autopkgtest-pkg-pybuild now that we can run tests

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Feb 2024 09:16:56 -0500

fangfrisch (1.8.0-1) unstable; urgency=medium

  * Add .service and .timer files
  * Add myself to uploaders
  * Add pybuild-plugin-pyproject to build-depends to support upstream build
    system changes
  * New upstream release (Closes: #1063476)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 17 Feb 2024 13:06:03 -0500

fangfrisch (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch so it works
  * New upstream release
    - Refresh patches
  * Add lintian override for source-is-missing [docs/index.html], it's not
  * Update d/copyright

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 Feb 2024 09:35:07 -0500

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,22 @@
 Section: utils
 Priority: optional
 Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Uploaders: Gürkan Myczko <tar@debian.org>,
+ Scott Kitterman <scott@kitterman.com>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-requests <!nocheck>,
  python3-setuptools,
+ python3-sqlalchemy <!nocheck>,
  python3-all,
 Standards-Version: 4.6.2
 Homepage: https://github.com/rseichter/fangfrisch
 Vcs-Browser: https://salsa.debian.org/clamav-team/fangfrisch
 Vcs-Git: https://salsa.debian.org/clamav-team/fangfrisch.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: fangfrisch
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fangfrisch

%:
	dh $@ --buildsystem=pybuild

## fangfrisch 1.9.0

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	$(package) dist
 
 pypi:
-	@echo "$(package) upload pypi"
+	@echo "# Run this command to upload:\n$(package) pypi"
 
 stest:
 	env NETWORK_TESTS=0 $(unittest)

=== requirements.txt ===
# Development
build
setuptools
wheel
# Runtime
requests >= 2.22.0
SQLAlchemy >= 1.4.0

=== docs/Makefile ===
# vim: ts=4 sw=4 noet
adoc_opts	= -o $@
cf_combined	= combined.conf
cf_example	= example.conf
cf_internal	= internal.conf
fangfrisch	= ../local/fangfrisch
out_html	= index.html
out_pdf		= fangfrisch.pdf
sources		= fangfrisch.adoc $(cf_combined) $(cf_example) $(cf_internal) ../contrib/fangfrisch-has-news.sh usage.txt

.PHONY:	all clean force

all: $(out_html) $(out_pdf)

$(cf_combined): $(cf_example)
	$(fangfrisch) -c $< dumpconf > $@

$(cf_internal):
	$(fangfrisch) -c /dev/null dumpconf > $@

$(out_html): $(sources)
	asciidoctor -a toc=right $(adoc_opts) $<

$(out_pdf): $(sources)
	asciidoctor-pdf -a toc=preamble $(adoc_opts) $<

clean:
	/bin/rm $(out_html) $(out_pdf) || true

force:
	rm -f $(cf_combined) $(cf_internal)
	make

=== debian/changelog ===
fangfrisch (1.9.0-3+deb13u1) trixie; urgency=high

  * Non-maintainer upload.
  * Update sanesecurity mirror as the old one will stop working
    this year (Closes: #1117681)

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 04 Nov 2025 15:11:24 +0000

fangfrisch (1.9.0-3) unstable; urgency=medium

  * Add fangfrisch Suggests and Enhances clamdscan (Closes: #1067112)

 -- Scott Kitterman <scott@kitterman.com>  Sat, 20 Jul 2024 00:22:07 -0400

fangfrisch (1.9.0-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Mon, 15 Jul 2024 21:45:57 +0000

fangfrisch (1.9.0-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <tar@debian.org>  Tue, 12 Mar 2024 12:58:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: ClamAV Team <pkg-clamav-devel@lists.alioth.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>,
+Uploaders: Alex Myczko <tar@debian.org>,
  Scott Kitterman <scott@kitterman.com>
 Rules-Requires-Root: no
 Build-Depends:
@@ -13,7 +13,7 @@
  python3-setuptools,
  python3-sqlalchemy <!nocheck>,
  python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/rseichter/fangfrisch
 Vcs-Browser: https://salsa.debian.org/clamav-team/fangfrisch
 Vcs-Git: https://salsa.debian.org/clamav-team/fangfrisch.git
@@ -24,6 +24,10 @@
 Depends:
  ${python3:Depends},
  ${misc:Depends},
+Suggests:
+ clamdscan,
+Enhances:
+ clamdscan,
 Description: Update and verify unofficial Clam Anti-Virus signatures
  This is a sibling of the Clam Anti-Virus freshclam utility. It allows
  downloading virus definition files that are not official ClamAV canon,

## fangfrisch 1.9.2

=== Makefile ===
# vim: ts=4: sw=4: noet

package = contrib/package.sh
unittest = contrib/unittest.sh
subdirs = docs

define usage

The following make targets are available:

  clean  Cleanup build directories.
  dist   Build distribution files.
  fla    Run flake8.
  fmt    Format Python source code.
  help   Show this text.
  pypi   Upload distribution files to PyPI.
  shc    Shell script care.
  stest  Run sandboxed Python tests (disables network tests).
  test   Run all Python tests and generate coverage report.

endef

.PHONY:	clean fla help pypi shc stest subdirs test

subdirs: $(subdirs)

$(subdirs):
	make -C $@

help:
	$(info $(usage))
	@exit 0

clean:
	find tmp -type f -delete
	$(package) clean

dist:
	$(package) dist

pypi:
	@echo "# Run this command to upload:\n$(package) pypi"

stest:	fla
	env NETWORK_TESTS=0 $(unittest)

test:	fla
	env NETWORK_TESTS=1 $(unittest) coverage

shc:
	shcare contrib/*.sh

fmt:
	black -l 120 src tests

fla:	fmt
	flake8 src tests --config=.flake8

=== requirements.txt ===
# Development
black
build
coverage
flake8
setuptools
twine
wheel
# Runtime
requests >= 2.22.0
SQLAlchemy >= 1.4.0

=== docs/Makefile ===
# vim: ts=4 sw=4 noet
ad		:= ~/.local/share/gem/ruby/3.3.0/bin/asciidoctor
adopt	?= -o $@
ff		:= ../local/fangfrisch
sources	:= fangfrisch.adoc combined.conf usage.txt ../contrib/fangfrisch-has-news.sh
dest	:= index.html fangfrisch.pdf

.PHONY:	all clean force

all: $(dest)

combined.conf: example.conf internal.conf
	$(ff) -c $< dumpconf > $@

internal.conf:
	$(ff) -c /dev/null dumpconf > $@

usage.txt:
	$(ff) -h > $@

index.html: $(sources)
	$(ad) -a toc=right $(adopt) $<

fangfrisch.pdf: $(sources)
	$(ad)-pdf -a toc=preamble -a title-page $(adopt) $<

clean:
	/bin/rm index.html fangfrisch.pdf || true

force:
	rm -f $(dest) internal.conf usage.txt
	make

=== debian/changelog ===
fangfrisch (1.9.2-1) unstable; urgency=medium

  * New upstream version.
  * d/patches: refreshed.

 -- Alex Myczko <tar@debian.org>  Fri, 12 Sep 2025 08:53:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,4 +4,3 @@
 
 %:
 	dh $@ --buildsystem=pybuild
-

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/rseichter/fangfrisch/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
